Subject: [PATCH v4] ARM: ls1021a: add gating clocks to IP blocks.

From: [email-masked] (Shawn Guo)
Date: Sun, 19 Oct 2014 10:47:09 +0800

On Fri, Oct 17, 2014 at 09:37:24AM +0000, Li.Xiubo at freescale.com wrote:
> > > .../devicetree/bindings/clock/ls1021a-clock.txt    |  27 +++
> > > arch/arm/mach-imx/Makefile                         |   2 +
> > > arch/arm/mach-imx/clk-ls1021a.c                    | 191
> > +++++++++++++++++++++
> > > arch/arm/mach-imx/clk.h                            |   8 +
> > > include/dt-bindings/clock/ls1021a-clock.h          |  55 ++++++
> > 
> > Why is clock support for a new platform in mach-imx instead of drivers/clk ?
> > 
> 
> @Shawn,
> 
> Has any suggestions about move this to drivers/clk/ ?

Oh, yes, if you do not rely on anything that mach-imx clock facilities:
helpers, locking and so on, you should really have it in drivers/clk.

Shawn